﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace UWP_Pivot
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }   
    }


    public class ViewModel
    {
        ObservableCollection<Model> m_computers;
        public ViewModel()
        {
            Computers = new ObservableCollection<Model>()
            {
            new Model() { Computer = "Desktop", Year2013 = 147, Year2014 = 140 },
            new Model() {Computer = "Laptop", Year2013 = 157, Year2014 = 150 },
            new Model() {Computer = "Walkman", Year2013 = 89, Year2014 = 94},
            new Model() {Computer = "Tablet", Year2013 = 100, Year2014 = 124 },
            new Model() {Computer = "Handset", Year2013 = 150, Year2014 = 172 }};
        }
        public ObservableCollection<Model> Computers { get { return m_computers; } set { m_computers = value; } }
    }

    public class Model
    {
        string m_computer;
        double m_year2013;
        double m_year2014;

        public string Computer { get { return m_computer; } set { m_computer = value; } }
        public double Year2013 { get { return m_year2013; } set { m_year2013 = value; } }
        public double Year2014 { get { return m_year2014; } set { m_year2014 = value; } }
    }

    public class CustomChart : SfChart
    {
        protected override void OnManipulationDelta(ManipulationDeltaRoutedEventArgs e)
        {
            base.OnManipulationDelta(e);
        }
    }

}
